<?php

namespace App\Models;

use Illuminate\Database\Eloquent\SoftDeletes;
use Slowlyo\OwlAdmin\Models\BaseModel as Model;

/**
 * 用户
 */
class MemberUser extends Model
{
	use SoftDeletes;

	protected $table = 'member_users';
	protected $hidden = ['password'];

	protected static function booted()
	{
		static::created(function ($user) {
			$user->wallet()->create([
				'owner_type' => MemberUser::class,
				'owner_id' => $user->id
			]);
		});
	}

}
